org.springframework.scripting.config

## Class LangNamespaceUtils

- java.lang.Object
- - org.springframework.scripting.config.LangNamespaceUtils

-     public abstract class LangNamespaceUtils
      extends Object

  Since:
    2.5
  Author:
    Rob Harrop, Mark Fisher

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LangNamespaceUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BeanDefinition` | `registerScriptFactoryPostProcessorIfNecessary(BeanDefinitionRegistry registry)` Register a `ScriptFactoryPostProcessor` bean definition in the supplied `BeanDefinitionRegistry` if the `ScriptFactoryPostProcessor` hasn't already been registered.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LangNamespaceUtils

          public LangNamespaceUtils()

  - ### Method Detail

    - #### registerScriptFactoryPostProcessorIfNecessary

          public static BeanDefinition registerScriptFactoryPostProcessorIfNecessary(BeanDefinitionRegistry registry)

      Register a `ScriptFactoryPostProcessor` bean definition in the supplied `BeanDefinitionRegistry` if the `ScriptFactoryPostProcessor` hasn't already been registered.
      Parameters:
        `registry` - the `BeanDefinitionRegistry` to register the script processor with
      Returns:
        the `ScriptFactoryPostProcessor` bean definition (new or already registered)